Bug 232154 - [PATCH] audio/xmms2: fix OpenSSL 1.1.1 build
Summary: [PATCH] audio/xmms2: fix OpenSSL 1.1.1 build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords: patch
Depends on:
Blocks: 231931
  Show dependency treegraph
 
Reported: 2018-10-10 17:02 UTC by Guido Falsi
Modified: 2018-10-18 06:15 UTC (History)
0 users

See Also:
madpilot: maintainer-feedback+
madpilot: merge-quarterly+


Attachments
xmms2 patch (1.38 KB, patch)
2018-10-10 17:02 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guido Falsi freebsd_committer 2018-10-10 17:02:58 UTC
Created attachment 198006 [details]
xmms2 patch

Hi, I have noticed xmms2 ports are failing on reacent head with new OpenSSL version.

I am proposing this patch which should allow it to build.

I have tested it on previous OS versions and it does not break it there, but I'm unable right now to test it with an updated head with OpenSSL 1.1.1, so I'm posting it here in case someone can test it and report back to me, so it can be committed.

Thanks!
Comment 1 Guido Falsi freebsd_committer 2018-10-14 10:01:33 UTC
I'm preparing a VM to test this. Will commit once done.
Comment 2 commit-hook freebsd_committer 2018-10-14 19:29:52 UTC
A commit references this bug:

Author: madpilot
Date: Sun Oct 14 19:28:57 UTC 2018
New revision: 482109
URL: https://svnweb.freebsd.org/changeset/ports/482109

Log:
  Fix build with OpenSSL 1.1.x

  PR:		232154
  Submitted by:	me

Changes:
  head/audio/xmms2/files/patch-src_plugins_airplay_raop__client.c
Comment 3 Guido Falsi freebsd_committer 2018-10-14 19:30:12 UTC
Committed.
Comment 4 commit-hook freebsd_committer 2018-10-17 21:18:12 UTC
A commit references this bug:

Author: madpilot
Date: Wed Oct 17 21:18:08 UTC 2018
New revision: 482303
URL: https://svnweb.freebsd.org/changeset/ports/482303

Log:
  MFH: r482109

  Fix build with OpenSSL 1.1.x

  PR:		232154
  Submitted by:	me

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/audio/xmms2/files/patch-src_plugins_airplay_raop__client.c